
/*
Navbar
*/

.nav-container-outer {
  /* This is somehow very important to the function of the sliders and product amount counter elements. Probably related to .nav-container's fixed position*/
  position: relative;
}
.nav-container {
  position: fixed;
  width: 100%;
  z-index: 5;
  background: white;
  /*overflow: hidden;*/
  transition: max-height 500ms, overflow 300ms;
}

.navbar {
  flex-wrap: nowrap;
  background-color: #FFFFFF;
  color: #333333;

}

/*#navbarNav {
font-family: europa;
font-weight: 700;
text-align: right;
margin: auto 0 auto auto;
width: 100%;
}*/
.mobile-nav__toggle .fa-bars {
  color: #333333;

  font-size: 150%;
  cursor: pointer;
}


/*
Desktop dropdown 
*/


/*
navbar icons 
*/
.nav-link, .navbar__icons {
  color: #1e2f1e;
}
.navbar__items .navbar-brand {
  max-width: 25%;
}

.navbar__icons {
  width: 100%;
  font-size: 150%;
  text-align: right;
}
.navbar__icons .child {
  margin: auto 2%;
  
}
.navbar__icons .sell-link {
  font-family: europa;
  color: #68BB7E;
}
#cart-amount {
  position: absolute;
  right: 15px;
  top: 15px;
  color: white;
  font-family: europa;
  font-weight: bold;
}
.dropdown, #navbardropdownMenuButton {
  display: inline;
}

.dropdown-item {
  color: green;
  font-family: europa;
  font-weight: light;
}
@media screen and (max-width: 800px) {

  .dropdown, #navbardropdownMenuButton {

    display: none;
  }
  .navbar__icons .child {
    margin: auto 5%;
  }
  #cart-amount {
    position: absolute;
    right: 7px;
    top: 10px;
     font-size: 80%;
  }
}
.navbar__icons:hover {
  cursor: pointer;
}
.fa-shopping-cart {
  color: #68BB7E;
  font-size: 115%;
  /*
  fixed header
  margin-right: 15px;*/
}


/*
Search box
*/
#header-search {
  overflow: hidden; 
  width: 100%;
  background: white;
  padding-bottom: 10px;
}
#header-search-bar {
  padding: 5px;
  margin: auto 10% auto 10%;
  width: calc(100% - 20%);
  border-bottom: 1px solid grey;

  font-size: 150%;
}
#header-search-bar input {
  width: 90%;
  border-style: none;
  outline: none;

}
#header-search-bar i {
  width: 10%;
}

/*
End navbar
*/
/*
Mobile navbar menu
hover color: #68BB7E

*/
#mobile-nav-container {
  z-index:3;
  background: white;
  position: absolute;
  top: 60px;
  width: 0px;
  overflow-x: hidden;
  transition: width 300ms;


}
.mobile-nav-heading {
  margin: 10px;

}
/*.toggle-container {
display: flex;
align-items: flex-end;
width: 100%;
}*/
.mobile-nav-heading .mobile-nav__toggle {
  margin-left: auto;
  margin-right: 0px;
  cursor: pointer;
  font-size: 200%;
}

.mobile-nav-heading h5 {
  font-family: europa;
  font-weight: 100;
  cursor: pointer;
  color: #444;
}

#sign-in-out-container div {
  font-size: 120%;
  font-family: europa;
  font-weight: 100;
  color:#68BB7E; 
  border-top: 1px solid;
  padding: 10px;
  cursor: pointer;
  background: #eee;
}
.homepage-link h6 {
  padding: 10px;
  padding-bottom: 2.5px;
  font-size: 125%;
  font-family: europa;
  font-weight: bold;
  margin: 0px;
  background: #eee;
  border-top: 1px solid #999fa8;
}
.homepage-link h6:hover {
  color: #68BB7E;
}
.homepage-link h6:visited {
  color: #68BB7E;
}


.mobile-nav__category__container {
  border-top: 1px solid #999fa8;
  width: 100vw;
}

.mobile-nav__category__name {
  font-size: 150%;
  padding: 10px;
  display: flex;
}
.mobile-nav__category__name h5 {
  margin: auto 0px;
}
#mobile-nav li {
  list-style: none;
}
#mobile-nav svg, #account-container svg {
  cursor: pointer;
  padding-left: 1%;
  margin: auto 10px auto auto;
  color: #999fa8;
}
.mobile-nav__subcategories {
  /* because of bootstrap collapse functionality, padding and margin must not be applied directly to .collapse elemnts, but only to .collapse element's children*/
  padding:0;
  border-top: 1px solid #999fa8;
  margin: 0;
}
.mobile-nav__subcategories li {
  padding: 0px 15px;
  transition: all 0.7s;
}
.mobile-nav__subcategories li a {
  display: block;
  width: 100%;
}
.mobile-nav__subcategories li:hover {
  /*border-bottom: 1px solid;*/
  color: black;
  background-color: #ddd;
}


/*
Categories/ sub categories view
*/
.main-slider-container  {
  padding-top: 10%;
  display: flex;
}

.categories-slider-container, .subcategories-slider-container {
  display: flex;
 
}

.slider-controls {
  width: 10%;
  position: relative;
  display: flex;
  align-items: center;
  text-align: center;
}
.slider-controls svg {
  margin: auto;
  cursor: pointer;

}
.slider-content {
  width: 80%;
  margin: auto;
  text-align: center;
  border-left: 1px solid black;
  border-right: 1px solid black;
}
.slider-content a {
  color: black;
  font-family: europa;
}
.slider-content a:hover {
  color: #68BB7E;
  cursor: pointer;
  text-decoration: none;
}
.slider-content img {
  height: 40px;
  margin: auto;
}
#categories h6 {
  font-weight: 900;

}
#subcategories h6 {
  font-weight: 100;
}


/*@media screen and (min-width: 950px) {
  .slider-controls {
    display: none;
  }
}*/

/*
experimental
*/
#subcategory {
  /* display: flex;*/
  display: none;
  max-width: 100%;
  justify-content: space-between;
  flex-wrap: nowrap;
  margin: 0 10% 2%;
  font-size: 125%;
  padding-top: 2%;
}

/*
Categories Slider
*/


/*
Main Slider Carousel
*/
/*
controls
*/
#main-slider {
  position: relative;
  width: 100%;
  margin-top: 12vh;
}

.main-slider-container {
  position: relative;
}

.main-slider-container .slider-controls {
  position: absolute;
  z-index: -1;
}
.main-slider-container .slider-controls  {
  padding: 10px;
  border-radius: 50px;;
  border: 1px solid black;
}
.main-slider-container .slider-controls__prev {
  top: 50%;

}
.main-slider-container .slider-controls__next {
  top: 50%;
  right: 0%;

} 
.slick-dots {
  top: 80%;
}

/*
Main slider content
*/
#main-slider .slider-item, #banner {
  background-image: url('');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider .slider-item2, #banner {
  background-image: url('');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider .slider-item3, #banner {
  background-image: url('');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider .slider-item4, #banner {
  background-image: url('');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider .slider-item5, #banner {
  background-image: url('');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider .slider-item6, #banner {
  background-image: url('');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider .slider-item7, #banner {
  background-image: url('https://farm2.me/wholesale/shop2/Marketplace-consumer/images/Banner-categories/farm2me-get-snacking.jpg');
  background-repeat: no-repeat;
  background-size: 100vw 100%;
  width: 100vw;
  height: 30vh;;
}

#main-slider h4 {
  margin-top: 5vh;
  max-width: 40vw;
  margin-left: 5%;
  font-family: europa;
}

#main-slider .buy-now-btn {
  margin-top: 2.5%;
  padding: 10px 15px;
  display: inline-block;

  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 700;
  outline: none;
  position: relative;
  background:  #64B0DE;
  color: #fff;
  box-shadow: 0 6px #1f6793;
  -webkit-transition: none;
  -moz-transition: none;
  transition: none;
  border-radius: 20px;
  border: none;
}

#main-slider .buy-now-btn:after {
  content: '';
  position: absolute;
  z-index: -1;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
}

#main-slider .buy-now-btn:hover {
  box-shadow: 0 4px #1f6793;
  top: 2px;
  cursor: pointer;
}

#main-slider .buy-now-btn:active {
  box-shadow: 0 0 #1f6793;
  top: 6px;
}

/*
Media Queries
*/

@media screen and (max-width: 800px) {
  .categories-slider-container, .subcategories-slider-container,  .main-slider-container .slider-controls {
    display: none;
  }


  #main-slider .buy-now-btn {
    margin-top: 2.5%;
  }
}
@media screen and (max-width: 550px) {


  #main-slider h4 {
    margin-right: 0px;
    margin-left: auto;
  }
  #main-slider .buy-now-btn {
    margin-top: 0;
  }
  
}










/*

Featured Products 
*/
.category-featured {
  font-family: europa;
}
.body-category-header {
  margin: 5% 10px;
}
.product-tile {
  padding: 0;
  background-color: #f4f6f6;
}

.product-tile__visuals {
  position: relative;
}
.product-tile img {
  max-width: 100%;
}
.fa-heart {
  position: absolute;
  top: 7%;
  left: 7%;
  font-size: 150%;
  color: red;
}

.product-tile__tinter {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  opacity: 0;
  color: white;
  background-color: rgba(0, 0, 0, 0);
  transition: opacity 500ms, background-color 500ms;
}

.product-tile__incrementer {
  position: relative;
  top: 20%;
}

.incrementer-btn-container {
  position: absolute;
  right: 0;
  bottom: 15%;
  width: 50%;
  text-align: center;
  color: white;
  margin-top: 5%;
  display: flex;
  justify-content: center;
  transition: all 1s;
}
.incrementer-btn {
  border: none;
  background-color: #68bb7e;
  opacity: 0.8;
  cursor: pointer;
  color: white;
}
.incrementer-btn:hover {
  background: white;
  color: #68bb7e;
}

.incrementer-btn.left {
  margin-left: 5%;
  border-radius: 30px 0 0 30px;
  display: none;
  overflow: hidden;
  transition: all 1s;
}
.incrementer-btn.right {
  margin-right: 5%;
  border-radius: 30px;
  width: 50%;
  transition: all 1s;
}
.right-increment-btn-active {
  width: 50%;
  border-radius: 0 30px 30px 0 !important;
}
.incrementer-btn i {
  margin: 3% 5%;
}




.product-tile__info {
  margin: 5% auto;
  padding: 5px;
  font-size: 70%;
}
.product-tile__info a {
  text-decoration: none;
  color: #999999;
}
.product-tile__info a:hover {
  cursor: pointer;
  text-decoration: none;
  color: #68BB7E;
}
.product-tile__info__price {
  padding: 5%;
  border-top: 1px solid grey;
  text-align: right;
}
.simple-link {
  margin: 10px;
  text-decoration: underline;
}
.simple-link:hover {
  color: #68bb7e;
}

@media screen and (max-width: 767px) {
  .container {
    max-width: 100%;
  }
  .product-tile {
    display: flex;
    width: 100%;
    border: 1px solid grey;
  }
  .product-tile .col-md-6, .product-tile .col-lg-4 {
    padding: 0;
  }


  .product-tile__visuals {
    width: 50%;
  }
  .product-tile img {
    width: 100%;
    min-height: 150px;

  }
  .product-tile__info {
    margin: auto 5%;
    width: 50%;
    align-self: flex-end;
  }
}
.show-all {
  width: 100vw;
  text-align: center;
  
}
.show-all a {
  color: #68BB7E;
  text-decoration: none;
}

/*
Footer
*/


#footer-container {
  width: 100%;
  margin-top: 5vh;
}
#jump-top {
  margin: 2.5% 35px;
  font-weight: bold;
}

#footer-container row {
  margin: auto 0;
}
.input-container {
  width: 100%;
  background: url('');
  background-size: cover;
  padding: 20px;
  margin-bottom: 20px;
}
.signup-form {
  border: 1px solid red;
  background: white;
  display: flex;
  padding: 10px;
}

#signup-form__input {

  display:inline;
  margin: 0.3em 0 0 0;

  width: 80%;
  border: none;
  background: white;
  color: rgba(0,0,0,0.8);
  font-size: 1.5em;
  line-height: 1;
  opacity: 0;
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
  opacity: 1;
}

#signup-form__input:focus{
  outline: none;
}
.signup-form .btn {
  background:#68BB7E;
  color: white;
}
#change-exp-container h5 {
  text-align: center;
  margin: 5%;
}

#change-exp-container h5 a, .change-exp-content span, #change-exp-container .fa-times {
  text-decoration: none;
  cursor: pointer;
}
#change-exp-container .fa-times {
  text-align: right;
}
.change-exp-header h2 {
  text-align: center;
  padding: 5%;
  margin-bottom: 5%;
  border-bottom: 1px solid;

}
.change-exp-header i {
  font-size: 150%;
  width: 100%;
  text-align: right;
}

.change-exp-content {
  margin-top: 5%;
  text-align: center;
  font-family: europa;
}
.change-exp-content h3 {
  font-family: europa;
  font-weight: bold;
}

/*
Footer links section
*/

#footer {
  margin-bottom: 6%;
  display: flex;
  flex-wrap: wrap;
  border-top: 1px solid;
}
#footer div.section {
  margin: 5% 2.5% -5%;
}
#footer .logo {
  max-width: 50%;
}
#footer div.section h5 {
  cursor: pointer;
}
.social-media-icons {
  /* border-top: 1px solid grey;*/
  padding-top: 15px;
  margin-bottom: 20px;
}
.social-media-icons svg {
  background-color: #68BB7E;
  padding: 5px;
  border-radius: 150px;
  font-size: 300%;
}
#other-links {
  display: flex;
  justify-content: center;
  border-top: 1px solid;
  width: 100%;
  margin: 5% 0 50px;
  padding-top: 2.5%;
  padding-left: 2.5%;
  font-weight: bold;
  font-family: europa;

}
#other-links span {
   margin-right: 10%;
}
.terms-legal a {
  color: #68BB7E;
 
}
@media screen and (max-width: 700px) {
  #footer div.section, .social-media-icons {
    width: 100%;
  }
  #footer .logo {
    max-width: 70%;
  }


}



/*
Utilities
*/
* {
  font-family: europa;
}
.font-europa-light {
  font-family: europa;
  font-weight: 200;
}
.font-europa-bold {
  font-family: europa;
  font-weight: 900;
}
.row {
  margin: auto 0;
}
h1{
  margin-bottom: 20px;
}
a {
  text-decoration: none;
  color: black;
  cursor: pointer;
  transition: all 0.5s;
}
a:hover {
  text-decoration: none;
  /*color: #68BB7E;*/
}
.fa-times {
  font-size: 150%;
}
.toggle-container i {
  margin-left: ato;
  margin-right: 0px;
}


/* should be put somewhere else*/
.main-categories__item {
  margin-bottom: 15px;
}
.main-categories__item h4 {
  position: absolute;
  top: auto;
  bottom: 0;
  left: 15%;
}